<!DOCTYPE html>
<html>
<head>
<title>Webserver Connectivity testen</title>

<style>
* {
  font-family: Arial;
  font-size: 14px;
  font-weight: bold;
}
.success {
  color: green;
}
.error {
  color: red;
}
.warning {
  color: orange;
}
</style>

</head>
<body>

<?php
  /**
   * debug.php - (c) Markus Krupp
   * Script zum Testen der Connectivity zum openligadb.de Webservice
   * 
   * Historie:
   * 
   * 1.00 - Erste Veröffentlichung
   * 1.1  - Complete Rework of code
   */
 
  function isJson($string) {
   json_decode($string);
   return (json_last_error() == JSON_ERROR_NONE);
  }

  $url = 'https://www.openligadb.de/api/getcurrentgroup/bl1';
  $timeout = 3;

  if (function_exists('curl_version')) {
    $curl = curl_init();
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($curl, CURLOPT_TIMEOUT, $timeout);
    $content = curl_exec($curl);
    curl_close($curl);
    if (isJson($content)) {
      echo '<div class="success">Ihr Webserver kann sich erfolgreich per cURL zum Webservice verbinden :-)</div><br />';  
    } else {
      echo '<div class="warning">cURL ist aktiviert, jedoch wurde keine gültige Antwort vom Webservice zurückgegeben:</div><br />';
      var_dump($content); 
    }
    
  } else if (ini_get('allow_url_fopen')) {
    $context = stream_context_create(array( 
		  'http' => array( 'timeout' => $timeout )
	  ));
    $content = file_get_contents($url, 0, $context);
    if (isJson($content)) {
      echo '<div class="success">Ihr Webserver kann sich erfolgreich zum Webservice verbinden :-)</div><br />';  
    } else {
      echo '<div class="warning">allow_url_fopen ist aktiviert, jedoch wurde keine gültige Antwort vom Webservice zurückgegeben:</div><br />';
      var_dump($content); 
    }
  } else {
    echo '<br /><div class="error">Ihr Webserver kann sich leider nicht zum Webservice verbinden :-( <br />  Bitte <a href="http://php.net/manual/de/book.curl.php" target="_blank">cURL</a> oder <a href="http://php.net/manual/de/filesystem.configuration.php#ini.allow-url-fopen" target="_blank">allow_url_fopen</a> aktivieren!</div>';
  }

?>

</body>
</html>